Bug 983951 - 4.1. Step 3 should be similar as in RPM
4.1. Step 3 should be similar as in RPM
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: GA
: EAP 6.2.0
Assigned To: Lucas Costi
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 07:24 EDT by Pavel Janousek
Modified: 2014-08-14 11:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 6895, Installation Guide-6.1-2 Build Date: 11-07-2013 14:10:24 Topic ID: 12710-458133 [Specified]
Last Closed: 2013-12-15 11:16:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-07-12 07:24:28 EDT
Title: Upgrade the JBoss EAP 6 ZIP Installation

Describe the issue:
Step 3 for ZIP upgrade should be consistent between ZIP and RPM upgrade way. We should not allow our customers to blindly copy their old instance (possible very old - contains e.g. EAP-6.0.0) configuration to new location and replace cfg. files like standalone.xml etc.

Suggestions for improvement:
For our safety, there should be some like this sentence:
Manually merge your changes from previous installation over the new installation directories.

The step 4 contains similar useful (safer) way how to solve the upgrade.
Comment 4 Lucas Costi 2013-10-22 20:44:14 EDT
I have altered step 3 to be similar to step 4, with a warning about copying configuration files from previous versions.

Change made to topic 12710 (rev. 548437)

The change will be reflected in the next document build, and the status will be changed to ON_QA when it is ready for review.
Comment 6 Petr Kremensky 2013-10-24 12:25:26 EDT
Verified (during EAP 6.2.0 testing cycle).
Comment 8 Russell Dickenson 2013-12-05 18:43:36 EST
Attention: Brian

I appreciate that in this instance we (Docs) provided instructions which were inaccurate. As to discussing such changes with Engineering, which types of changes would you prefer be discussed in advance? I'm happy to have Docs team members refer such changes to an SME as required, as long as we know just which changes ought to be referred.
Comment 10 Russell Dickenson 2013-12-05 22:38:55 EST
Brian,

Thanks. All three criteria are very useful.

As for devel_ack, ideally we don't make documentation changes unless devel_ack is provided. As to whom should provide that ACK, well, that's a good point. I hope this could be raised in an EAP PM meeting.

Note You need to log in before you can comment on or make changes to this bug.